Bug 587631 - Pluralize autogroup and subcategory names in the tree.
Pluralize autogroup and subcategory names in the tree.
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
3.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Ian Springer
Corey Welton
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2010-04-30 08:45 EDT by Lukas Krejci
Modified: 2013-08-05 20:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (112.63 KB, image/png)
2010-09-22 07:24 EDT, Rajan Timaniya
no flags Details

  None (edit)
Description Lukas Krejci 2010-04-30 08:45:01 EDT
Description of problem:

To help distinguish the difference between an autogroup or subcategory and singleton resources, let's try to pluralize the names of the former two so that it is apparent that they are supposed to cotain multiple resources.

Actual results:

Currently the autogroups have the name in singular (i.e. CPU, File System, JBoss AS, ...). The subcategories are usually named in plural by themselves.

Expected results:

The autogroup names should be in plural (i.e. CPUs, File Systems, JBoss ASes, ...)
Comment 1 Ian Springer 2010-09-21 11:33:11 EDT
Fixed in master via commit f742f93aabcfe099c727c4eb6b3fbde55f8baf53.
Comment 2 Rajan Timaniya 2010-09-22 07:24:20 EDT
Tested on RHQ-master build #320

Observation:
Left-navigation tree has multiple entries for some resources (at same level) - First entry in plural autogroup and second in singular resource-name. Please refer attached screenshot.
Comment 3 Rajan Timaniya 2010-09-22 07:24:56 EDT
Created attachment 448913 [details]
screenshot
Comment 4 Rajan Timaniya 2010-10-20 08:03:47 EDT
Verified in RHQ-Master build #423
http://hudson-qe.rhq.rdu.redhat.com:8080/view/RHQ/job/ci-rhq-master/423/

The autogroup names are in plural like CPUs, Apache HTTP Servers, File Systems, JBossAS Servers, Network Adapters, Postfix Servers, Postgres Servers, Samba Servers, SSHDs, etc.
Comment 5 Corey Welton 2011-05-23 21:13:21 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 6 Corey Welton 2011-05-23 21:13:21 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 7 Corey Welton 2011-05-23 21:13:23 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.